import { Observable } from 'rxjs';
import { RxNotification } from './model';
/**
 * @internal
 *
 * A factory function returning an object to handle the process of switching templates by Notification channel.
 * You can next a Observable of `RxNotification` multiple times and merge them into the Observable exposed under `trigger$`
 *
 */
export declare function templateTriggerHandling<T>(): {
    trigger$: Observable<RxNotification<T>>;
    next(templateName: Observable<RxNotification<T>>): void;
};
