import { InjectionToken } from '@angular/core';
import { RxCustomStrategyCredentials, RxDefaultStrategyNames, RxStrategyNames } from './model';
export interface RxRenderStrategiesConfig<T extends string> {
    primaryStrategy?: RxStrategyNames<T>;
    customStrategies?: RxCustomStrategyCredentials<T>;
    patchZone?: boolean;
    /**
     *  @deprecated This flag will be dropped soon, as it is no longer required when using signal based view & content queries
     */
    parent?: boolean;
}
export declare const RX_RENDER_STRATEGIES_CONFIG: InjectionToken<RxRenderStrategiesConfig<string>>;
export declare const RX_RENDER_STRATEGIES_DEFAULTS: Required<RxRenderStrategiesConfig<RxDefaultStrategyNames>>;
export declare function mergeDefaultConfig<T extends string>(cfg?: RxRenderStrategiesConfig<T>): Required<RxRenderStrategiesConfig<T | RxDefaultStrategyNames>>;
